org.appng.core.xml.repository

## Class GetPackageVersionsRequest

- java.lang.Object
- - org.appng.core.xml.repository.GetPackageVersionsRequest

-     public class GetPackageVersionsRequest
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="digest" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="repository-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="package-Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `digest`
    `protected String` | `packageName`
    `protected String` | `repositoryName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPackageVersionsRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDigest()` Gets the value of the digest property.
    `String` | `getPackageName()` Gets the value of the packageName property.
    `String` | `getRepositoryName()` Gets the value of the repositoryName property.
    `void` | `setDigest(String value)` Sets the value of the digest property.
    `void` | `setPackageName(String value)` Sets the value of the packageName property.
    `void` | `setRepositoryName(String value)` Sets the value of the repositoryName property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### digest

          protected String digest

    - #### repositoryName

          protected String repositoryName

    - #### packageName

          protected String packageName

  - ### Constructor Detail

    - #### GetPackageVersionsRequest

          public GetPackageVersionsRequest()

  - ### Method Detail

    - #### getDigest

          public String getDigest()

      Gets the value of the digest property.
      Returns:
        possible object is `String`

    - #### setDigest

          public void setDigest(String value)

      Sets the value of the digest property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRepositoryName

          public String getRepositoryName()

      Gets the value of the repositoryName property.
      Returns:
        possible object is `String`

    - #### setRepositoryName

          public void setRepositoryName(String value)

      Sets the value of the repositoryName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPackageName

          public String getPackageName()

      Gets the value of the packageName property.
      Returns:
        possible object is `String`

    - #### setPackageName

          public void setPackageName(String value)

      Sets the value of the packageName property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.